hi every one
here again giving trouble to all of you guys, I want to get my solid transparency, and I found a command SetRealOpacity but some how I can not set it
here is the code im using
CATIA.ActiveDocument.Selection.Clear
Set objsel = CATIA.ActiveDocument.Selection
objsel.Search "Type=Topology.Face,all"
objsel.SetRealOpacity 255, 1
icnt = objsel.Selection.Count
ReDim MySurface(icnt + 1)
For o = 1 To icnt
Set MySurface(o) = objsel.Item(o).Value
Next o
Dim spabench As SPAWorkbench
Dim mymeas As Measurable
Dim centroide
Dim ref1 As Reference
Dim myans As Double
Dim InputObjectType(0)
Dim variable As String
'*******************Toma Fotografia de la Superficie Seleccionada***************
For o = 1 To icnt
Dim ObjViewer3D As Viewer3D
Set ObjViewer3D = CATIA.ActiveWindow.ActiveViewer
Dim objCamera3D As Camera3D
Set objCamera3D = CATIA.ActiveDocument.Cameras.Item(1)
Dim j
CATIA.ActiveDocument.Selection.Clear
CATIA.ActiveDocument.Selection.Add (MySurface(o))
'Ubicacion del guardado de la imagen
Dim fileloc As String
fileloc = "C:\Users\Lab3\Desktop\Fotos\"
Dim exten As String
exten = ".jpg"
Dim strName As String
strName = fileloc & CStr(o) & exten
Dim objSpecWindow As SpecsAndGeomWindow
Set objSpecWindow = CATIA.ActiveWindow
objSpecWindow.Layout = catWindowGeomOnly
CATIA.StartCommand ("Compass")
'Toma la Fotografia
ObjViewer3D.FullScreen = True
ObjViewer3D.Viewpoint3D = objCamera3D.Viewpoint3D
ObjViewer3D.CaptureToFile 5, strName
ObjViewer3D.FullScreen = False
objSpecWindow.Layout = catWindowSpecsAndGeom
CATIA.StartCommand ("Compass")
'ObjViewer3D.Viewpoint3D = objCamera3D.Viewpoint3D
Next o
its just a section, what I need it to get the solid transparent, and then in the cicle remove the transparency of the selected face and give a color,
hope you can help me with this,
thank you for your time
here again giving trouble to all of you guys, I want to get my solid transparency, and I found a command SetRealOpacity but some how I can not set it
here is the code im using
CATIA.ActiveDocument.Selection.Clear
Set objsel = CATIA.ActiveDocument.Selection
objsel.Search "Type=Topology.Face,all"
objsel.SetRealOpacity 255, 1
icnt = objsel.Selection.Count
ReDim MySurface(icnt + 1)
For o = 1 To icnt
Set MySurface(o) = objsel.Item(o).Value
Next o
Dim spabench As SPAWorkbench
Dim mymeas As Measurable
Dim centroide
Dim ref1 As Reference
Dim myans As Double
Dim InputObjectType(0)
Dim variable As String
'*******************Toma Fotografia de la Superficie Seleccionada***************
For o = 1 To icnt
Dim ObjViewer3D As Viewer3D
Set ObjViewer3D = CATIA.ActiveWindow.ActiveViewer
Dim objCamera3D As Camera3D
Set objCamera3D = CATIA.ActiveDocument.Cameras.Item(1)
Dim j
CATIA.ActiveDocument.Selection.Clear
CATIA.ActiveDocument.Selection.Add (MySurface(o))
'Ubicacion del guardado de la imagen
Dim fileloc As String
fileloc = "C:\Users\Lab3\Desktop\Fotos\"
Dim exten As String
exten = ".jpg"
Dim strName As String
strName = fileloc & CStr(o) & exten
Dim objSpecWindow As SpecsAndGeomWindow
Set objSpecWindow = CATIA.ActiveWindow
objSpecWindow.Layout = catWindowGeomOnly
CATIA.StartCommand ("Compass")
'Toma la Fotografia
ObjViewer3D.FullScreen = True
ObjViewer3D.Viewpoint3D = objCamera3D.Viewpoint3D
ObjViewer3D.CaptureToFile 5, strName
ObjViewer3D.FullScreen = False
objSpecWindow.Layout = catWindowSpecsAndGeom
CATIA.StartCommand ("Compass")
'ObjViewer3D.Viewpoint3D = objCamera3D.Viewpoint3D
Next o
its just a section, what I need it to get the solid transparent, and then in the cicle remove the transparency of the selected face and give a color,
hope you can help me with this,
thank you for your time